summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Johannes Schoepfer <slackbuilds[at]schoepfer[dot]info>2016-07-20 04:58:52 -0500
committer Robby Workman <rworkman@slackbuilds.org>2016-07-20 14:20:25 -0500
commitd288e54fa651d05e176f636f4b1092a5b5bd6c09 (patch)
treeb798be76c41b16f12789c303f909c9ba6f468cfc /office
parentd87975d35f11b0cc95d09b62f3b012271e346fb3 (diff)
downloadslackbuilds-d288e54fa651d05e176f636f4b1092a5b5bd6c09.tar.gz
slackbuilds-d288e54fa651d05e176f636f4b1092a5b5bd6c09.tar.xz
office/texlive-fonts: Added (extra fonts for TeXLive)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/texlive-fonts/README3
-rw-r--r--office/texlive-fonts/doinst.sh5
-rw-r--r--office/texlive-fonts/slack-desc19
-rw-r--r--office/texlive-fonts/texlive-fonts.SlackBuild52
-rw-r--r--office/texlive-fonts/texlive-fonts.info10
5 files changed, 89 insertions, 0 deletions
diff --git a/office/texlive-fonts/README b/office/texlive-fonts/README
new file mode 100644
index 0000000000..bf488a566b
--- /dev/null
+++ b/office/texlive-fonts/README
@@ -0,0 +1,3 @@
+texlive-fonts (fonts for TeXLive)
+
+These are the remaining fonts from the TeXLive distribution.
diff --git a/office/texlive-fonts/doinst.sh b/office/texlive-fonts/doinst.sh
new file mode 100644
index 0000000000..c48abd6559
--- /dev/null
+++ b/office/texlive-fonts/doinst.sh
@@ -0,0 +1,5 @@
+[ -f usr/share/texmf-config/web2c/updmap.cfg ] && rm usr/share/texmf-config/web2c/updmap.cfg
+chroot . /usr/bin/mktexlsr 1>/dev/null 2>/dev/null
+printf "y\n" | chroot . /usr/bin/updmap-sys --nohash --syncwithtrees 1>/dev/null 2>/dev/null
+chroot . /usr/bin/updmap-sys 1>/dev/null 2>/dev/null
+chroot . /usr/bin/fmtutil-sys --all 1>/dev/null 2>/dev/null
diff --git a/office/texlive-fonts/slack-desc b/office/texlive-fonts/slack-desc
new file mode 100644
index 0000000000..a76bcd67b6
--- /dev/null
+++ b/office/texlive-fonts/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+texlive-fonts: texlive-fonts (fonts for TeXLive)
+texlive-fonts:
+texlive-fonts: These are the remaining fonts from the TeXLive distribution.
+texlive-fonts:
+texlive-fonts:
+texlive-fonts:
+texlive-fonts:
+texlive-fonts:
+texlive-fonts:
+texlive-fonts:
+texlive-fonts:
diff --git a/office/texlive-fonts/texlive-fonts.SlackBuild b/office/texlive-fonts/texlive-fonts.SlackBuild
new file mode 100644
index 0000000000..54681e47db
--- /dev/null
+++ b/office/texlive-fonts/texlive-fonts.SlackBuild
@@ -0,0 +1,52 @@
+#!/bin/sh
+
+# texlive-fonts build script for Slackware
+
+# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009-2014 Robby Workman, Northport, AL, USA
+# Copyright 2016 Johannes Schoepfer, <slackbuilds@schoepfer.info>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=texlive-fonts
+VERSION=20160622
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr/share $OUTPUT
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz -C $PKG/usr/share
+chown -R root:root $PKG
+chmod -R u+w,go-w,a+rX-st $PKG
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/texlive-fonts/texlive-fonts.info b/office/texlive-fonts/texlive-fonts.info
new file mode 100644
index 0000000000..2217826f0d
--- /dev/null
+++ b/office/texlive-fonts/texlive-fonts.info
@@ -0,0 +1,10 @@
+PRGNAM="texlive-fonts"
+VERSION="20160622"
+HOMEPAGE="http://tug.org/texlive/"
+DOWNLOAD="http:/slackware.schoepfer.info/slackbuilds/texlive/2016/texlive-fonts/texlive-fonts-20160622.tar.xz"
+MD5SUM="2a64946e2619dedec5ccc4f8e2131849"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="texlive"
+MAINTAINER="Johannes Schoepfer"
+EMAIL="slackbuilds[at]schoepfer[dot]info"